Bug 148880 - [kde] Copying to clipboard in OpenOffice.org doesn't always work well
Summary: [kde] Copying to clipboard in OpenOffice.org doesn't always work well
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org   
(Show other bugs)
Version: 3
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-16 15:52 UTC by Radek Bíba
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.9.87
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-29 10:27:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Radek Bíba 2005-02-16 15:52:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
When I want to copy some text from a document opened in OpenOffice.org Writer, the text saved to clipboard doesn't match the text I selected. Actually, this happens only when I start selecting the text, then wait (still holding left mouse button) and then continue (and so on, respectively). Only first part - from the beginning of the selection until the first stop of mouse movement - goes to the clipboard. Anyway, when I press CTRL+C, all the selected text goes to the clipboard, but then I additionally have to open klipper's menu and click on the newly saved item, although it is marked (!)

Version-Release number of selected component (if applicable):
openoffice.org-1.1.3-6.5.0

How reproducible:
Always

Steps to Reproduce:
1. Open a document in OpenOffice.org Writer
2. Start selecting a test, stop moving your mouse but hold the left button, go on selecting, release the left button
3. Open klipper's menu (in KDE) or just paste your clipboard's content somewhere (middle button, not ctrl+p)

Actual Results:  Only part of selected text is in the clipboard (as new item in klipper or pasted)

Expected Results:  Whole selected text is in the clipboard (as new item in klipper or pasted)

Additional info:

Up-to-date system, KDE, IMPS/2 USB mouse.

Comment 1 Caolan McNamara 2005-03-29 10:27:47 UTC
Not seeing this anymore with 1.9.87 and up-to-date rawhide.


Note You need to log in before you can comment on or make changes to this bug.